Skip to main content

Delete Skill

Deletes the skill and all its versions. It can no longer be mounted to new agents. Agents that already have an old version mounted continue to work normally, and session history is not affected.

Prerequisites

Endpoint and authentication configured. For details, see Overview and authentication.

Endpoint

DELETE /skills/{skill_id}

Request example

curl -X DELETE "$AGENTSTUDIO_URL/skills/skill_xxx" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"

Response example

{
  "id": "skill_xxx",
  "type": "skill_deleted",
  "request_id": "xxx"
}

Response fields

FieldTypeDescription
idstringDeleted skill ID
typestringAlways skill_deleted
request_idstringUnique request identifier
Flow Agent API
Sandbox API
RAG API
Long-term Memory
ParseX API
Security API
Framework Integration